---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libbi02t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x44F0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x513E0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53320, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53710, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x546B0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x546C0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xE448, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51050, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51054, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xBE4, offset: 0xBE4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51058, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC29, offset: 0xC29, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x511B0, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xCA2, offset: 0xCA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51268, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCC0, offset: 0xCC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5126C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCD9, offset: 0xCD9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51270, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xCF2, offset: 0xCF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51274, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xD0B, offset: 0xD0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51278, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x92FA, offset: 0x92FA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51280, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9383, offset: 0x9383, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51290, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x939C, offset: 0x939C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51298, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B5, offset: 0x93B5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x512A0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93CE, offset: 0x93CE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x512A8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93E7, offset: 0x93E7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x512B0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9401, offset: 0x9401, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x512B8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E7, offset: 0x94E7, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51300, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9500, offset: 0x9500, size: 0x8, addend: 0x0, symName: __ZL26ClassFileLoadHookEventFlag, symObjAddr: 0x5133C, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x9520, offset: 0x9520, size: 0x8, addend: 0x0, symName: __ZL12debugeeClass, symObjAddr: 0x51340, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9539, offset: 0x9539, size: 0x8, addend: 0x0, symName: __ZL10classBytes, symObjAddr: 0x51348, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x958B, offset: 0x958B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3190, symSize: 0x80 }
  - { offsetInCU: 0x9620, offset: 0x9620, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x30E0, symSize: 0xB0 }
  - { offsetInCU: 0x967B, offset: 0x967B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2FE0, symSize: 0x100 }
  - { offsetInCU: 0x990E, offset: 0x990E, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3210, symSize: 0xC0 }
  - { offsetInCU: 0x9960, offset: 0x9960, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x32D0, symSize: 0x220 }
  - { offsetInCU: 0x9B45, offset: 0x9B45, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x34F0, symSize: 0xA0 }
  - { offsetInCU: 0x9BF8, offset: 0x9BF8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3590, symSize: 0x110 }
  - { offsetInCU: 0x9CEE, offset: 0x9CEE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x36A0, symSize: 0x150 }
  - { offsetInCU: 0x9E99, offset: 0x9E99, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x37F0, symSize: 0x30 }
  - { offsetInCU: 0x9F5A, offset: 0x9F5A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3820, symSize: 0x150 }
  - { offsetInCU: 0xA152, offset: 0xA152, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3970, symSize: 0x160 }
  - { offsetInCU: 0xA412, offset: 0xA412, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3AD0, symSize: 0x4A0 }
  - { offsetInCU: 0xA685, offset: 0xA685, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3F70, symSize: 0x1B0 }
  - { offsetInCU: 0xA8A0, offset: 0xA8A0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4120, symSize: 0xA0 }
  - { offsetInCU: 0xA99B, offset: 0xA99B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x41C0, symSize: 0x20 }
  - { offsetInCU: 0xA9D2, offset: 0xA9D2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x41E0, symSize: 0x20 }
  - { offsetInCU: 0xAA09, offset: 0xAA09, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4200, symSize: 0x20 }
  - { offsetInCU: 0xAB78, offset: 0xAB78, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4220, symSize: 0x1A0 }
  - { offsetInCU: 0xAE94, offset: 0xAE94, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x43C0, symSize: 0x130 }
  - { offsetInCU: 0xB044, offset: 0xB044, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4760, symSize: 0x1B0 }
  - { offsetInCU: 0xB333, offset: 0xB333, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4910, symSize: 0x80 }
  - { offsetInCU: 0xB3FC, offset: 0xB3FC, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4990, symSize: 0x6A0 }
  - { offsetInCU: 0xBF91, offset: 0xBF91, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA510, symBinAddr: 0x6030, symSize: 0xB0 }
  - { offsetInCU: 0xC008, offset: 0xC008, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5030, symSize: 0x70 }
  - { offsetInCU: 0xC0C4, offset: 0xC0C4, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x50A0, symSize: 0xA0 }
  - { offsetInCU: 0xC1CF, offset: 0xC1CF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5140, symSize: 0x40 }
  - { offsetInCU: 0xC2C5, offset: 0xC2C5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5180, symSize: 0x2B0 }
  - { offsetInCU: 0xC66B, offset: 0xC66B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5430, symSize: 0xC0 }
  - { offsetInCU: 0xC7B1, offset: 0xC7B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x54F0, symSize: 0x10 }
  - { offsetInCU: 0xC873, offset: 0xC873, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5500, symSize: 0x220 }
  - { offsetInCU: 0xCB70, offset: 0xCB70, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5720, symSize: 0x10 }
  - { offsetInCU: 0xCBCD, offset: 0xCBCD, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5730, symSize: 0x290 }
  - { offsetInCU: 0xCEFB, offset: 0xCEFB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EA0, symBinAddr: 0x59C0, symSize: 0x10 }
  - { offsetInCU: 0xCFFA, offset: 0xCFFA, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EB0, symBinAddr: 0x59D0, symSize: 0x4F0 }
  - { offsetInCU: 0xD7C7, offset: 0xD7C7, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA3A0, symBinAddr: 0x5EC0, symSize: 0x170 }
  - { offsetInCU: 0xDB1B, offset: 0xDB1B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA5C0, symBinAddr: 0x60E0, symSize: 0x36A }
...
